%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           moovida
Version:        1.0.9
Release:        3%{?dist}
Summary:        Media center

Group:          Applications/Multimedia
License:        GPLv3
URL:            http://www.moovida.com
Source0:        http://www.moovida.com/media/public/moovida-%{version}.tar.gz
Patch0:         moovida-disable-plugin-autoupdates.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       moovida-base = %{version}
Requires:       moovida-plugins-good = %{version}
Requires:       moovida-plugins-bad = %{version}
Requires:       dbus-x11

Obsoletes:      elisa <= 0.5.37
Provides:       elisa = %{version}-%{release}

%description
Moovida is much more than a simple media player... it is a cutting edge media
center bringing the best of the internet to your TV screen. Automatically
creating your own digital library you can browse from your sofa with a remote
control. The elegant and easy to use interface automatically displays artwork
and fan art throughout and gives you access to movie synopsis and artist info.

%package base
Summary:        Base files for Moovida Media center

BuildArch:      noarch

BuildRequires:  python-setuptools
BuildRequires:  python-twisted-core
BuildRequires:  pigment-python
BuildRequires:  python-devel

Requires:       python-setuptools
Requires:       python-twisted-core
Requires:       pigment-python
Requires:       pygobject2
Requires:       gnome-python2-extras
Requires:       python-twisted-web

Obsoletes:      elisa-base <= 0.5.37
Provides:       elisa-base = %{version}-%{release}

%description base
Base files for Moovida media center

%prep
%setup -q -n elisa-%{version}
%patch0 -p 1

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%{__ln_s} elisa $RPM_BUILD_ROOT/%{_bindir}/moovida
%{__ln_s} moovida.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/elisa.1.gz
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS FAQ FIRST_RUN NEWS README
%{_bindir}/moovida
%{_bindir}/elisa
%{_datadir}/applications/moovida.desktop
%exclude %{_datadir}/applications/moovida-mobile.desktop
%{_datadir}/dbus-1/services/com.fluendo.elisa.service
%exclude %{_datadir}/icons/moovida.png
%{_datadir}/pixmaps/moovida.png
%doc %{_mandir}/man1/moovida.1*
%doc %{_mandir}/man1/elisa.1.*

%files base
%defattr(-,root,root,-)
%doc COPYING LICENSE*
# There are some .py files that have #!/usr/bin/python in them but they do not
# need to be directly exectuable
%{python_sitelib}/*
%exclude %{python_sitelib}/elisa/core/utils/mswin32

%changelog
* Thu Jul 15 2010 Graeme Gillies <ggillies at, redhat.com> 1.0.9-3
- Fixed spelling mistake in description

* Tue Dec 15 2009 Graeme Gillies <ggillies at, redhat.com> 1.0.9-2
- Refactored/cleaned up spec file for readability

* Thu Dec  3 2009 Graeme Gillies <ggillies at, redhat.com> 1.0.9-1
- Updated to Moovida 1.0.9

* Mon Nov 16 2009 Graeme Gillies <ggillies at, redhat.com> 1.0.8-1
- Update to 1.0.8
- Refactored/cleaned up spec file

* Thu Aug  6 2009 Matthias Saou <http://freshrpms.net/> 1.0.6-1
- Update to 1.0.6.

* Thu Jul 23 2009 Matthias Saou <http://freshrpms.net/> 1.0.5-1
- Update to 1.0.5.

* Thu Jul  2 2009 Matthias Saou <http://freshrpms.net/> 1.0.4-1
- Update to 1.0.4.

* Tue Jun 16 2009 Matthias Saou <http://freshrpms.net/> 1.0.3-1
- Update to 1.0.3.

* Mon Jun  9 2009 Matthias Saou <http://freshrpms.net/> 1.0.2-1
- Update to 1.0.2.

* Mon Jun  1 2009 Matthias Saou <http://freshrpms.net/> 1.0.1-3
- Obsolete elisa, to avoid conflicts and provide an upgrade path.

* Sun May 31 2009 Matthias Saou <http://freshrpms.net/> 1.0.1-2
- Include a "moovida" symlink for the program.
- Update and re-enable the patch to disable auto plugin update/install.

* Fri May 29 2009 Matthias Saou <http://freshrpms.net/> 1.0.1-1
- Initial RPM release, based on the elisa spec file.
